libqtxdg-2.0.0

Introduction to libqtxdg

The libqtxdg is a Qt implementation of freedesktop.org xdg specifications.

本パッケージは LFS-8.0 において正しくビルドでき動作することが確認されています。

Package Information

libqtxdg Dependencies

Required

CMake-3.9.1 and Qt-5.9.1

Optional (runtime)

GTK+-2.24.31 (for gtk-update-icon-cache)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libqtxdg

Installation of libqtxdg

Install libqtxdg by running the following commands:

mkdir -v build &&
cd       build &&

cmake -DCMAKE_BUILD_TYPE=Release          \
      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
      -DCMAKE_INSTALL_LIBDIR=lib          \
      ..       &&

make

This package does not come with a test suite.

Now, as the root user:

make install

Command Explanations

-DBUILD_TESTS=ON: Builds tests.

-DBUILD_DEV_UTILS=ON: Builds and installs development utilities.

Contents

Installed Programs: None
Installed Library: libQt5Xdg.so and libQt5XdgIconLoader.so
Installed Directories: $LXQT_PREFIX/include/{qt5xdg,qt5xdgiconloader} and $LXQT_PREFIX/share/cmake/{qt5xdg,qt5xdgiconloader}

Short Descriptions

libQt5Xdg.so

contains the libQt5Xdg API functions.

libQt5XdgIconLoader.so

contains the libQt5XdgIconLoader API functions.

最終更新日: 2017-02-22 05:13:57 +0900